Loading...
Searching...
No Matches
AVSideDataDescriptor Struct Reference
libavutil » Data Structures » AVFrame

This struct describes the properties of a side data type. More...

`#include <libavutil/frame.h>`

## Data Fields

const char * | name
| Human-readable side data description.
unsigned | props
| Side data property flags, a combination of AVSideDataProps values.

## Detailed Description

This struct describes the properties of a side data type.

Its instance corresponding to a given type can be obtained from av_frame_side_data_desc().

Definition at line 330 of file frame.h.

## Field Documentation

## name

const char* AVSideDataDescriptor::name

Human-readable side data description.

Definition at line 334 of file frame.h.

## props

unsigned AVSideDataDescriptor::props

Side data property flags, a combination of AVSideDataProps values.

Definition at line 339 of file frame.h.

The documentation for this struct was generated from the following file:

- libavutil/frame.h